ホーム > フォーラム > 質問箱 > xelfinderのエラーメッセージについて

xelfinderのエラーメッセージについて
投稿者: terrafin | 投稿日時: 2016/2/9 23:15 | 閲覧: 32453回
terrafin

いつもモジュールを利用させていただきありがとうございます。

掲題の件、
2.01に上げたら、
「バックエンドとの接続ができません」とメッセージがでて次に行きません。

どのモジュールの部分を修正したら、以前の状態になりますでしょうか?

サイト情報は以下のようになります。

Distribution : XOOPS X(ten) 20151228
XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1
デフォルト・サイトテーマ : r_simple_blue
デフォルトのテンプレート・セット : default
使用言語 : ja_utf8
デバッグモードを有効にする : オフ
オペレーティングシステム : FreeBSD
サーバー : Apache/2.2.29
ユーザーエージェント : Mozilla/5.0 (Windows NT 10.0; WOW64; rv:44.0) Gecko/20100101 Firefox/44.0
PHPバージョン : 5.2.17
MySQLのバージョン : 5.5.38-log

コメント(24)

新しいものから | 古いものから | ネスト表示 | RSS feed
Re: xelfinderのエラーメッセージについて 
投稿者: addlife | 投稿日時: 2016/2/28 12:03 | 親コメント: #21571
addlife
引用:
私の手元に PHP 5.2 系の環境を作ってみました。

やはりエラーになっています。ある程度の原因は掴めましたので修正したいと思います。

PHP のバージョンに関しては、使用しているモジュールにもよりますが、XOOPS X でメンテナンスしているモジュールに関しては PHP 5.3, 5.4, 5.5, 5.6, 7.0 でも私のテストしている範囲では正常に動作しています。

ただし、EUC-JP 環境であるなら PHP 5.3 にしておいたほうが無難です。

いつもいつも早々のご対応に心から感謝いたします。
是非よろしくお願い申し上げます。

素人がCMSなんてと思いながら10年以上になっていますが全く知識が伴っていない自分でいつも申し訳ないなぁと思っています。

Distribution : XOOPS X(ten) 20151228

XC Legacyバージョン : XOOPS Cube Legacy 2.2.3 Beta 1

デフォルト・サイトテーマ : 3R5
デフォルトのテンプレート・セット : original
使用言語 : ja_utf8
デバッグモードを有効にする : オフ

オペレーティングシステム : FreeBSD

サーバー : Apache/2.2.31
ユーザーエージェント : Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; rv:11.0) like Gecko

PHPバージョン : 5.2.17
MySQLのバージョン : 5.5.38-log

こんな状況です。

Re: xelfinderのエラーメッセージについて 
投稿者: nao-pon | 投稿日時: 2016/2/28 16:10 | 親コメント: #21572
nao-pon

私の手元で XAMPP 1.7.1 (PHP 5.2.9) を用意し、確認したところ問題点が判明いたしましたので、修正して X-elFinder 2.02 をリリースしました。

導入・アップデート管理(X-update) でアップデート可能です。

ご確認ください。 :-)

Re: xelfinderのエラーメッセージについて 
投稿者: addlife | 投稿日時: 2016/2/28 16:21 | 親コメント: #21573
addlife
引用:
私の手元で XAMPP 1.7.1 (PHP 5.2.9) を用意し、確認したところ問題点が判明いたしましたので、修正して X-elFinder 2.02 をリリースしました。

導入・アップデート管理(X-update) でアップデート可能です。

ご確認ください。 :-)

nao-pon様

確認させていただきました。
正常に表示されました。

いつもありがとうございます。
また、お忙しい中早急にご対応いただき誠にありがとうございました。
心から感謝いたします。稼働中サイトなので本当に助かりました。

いずれPHPもバージョンアップしないといけませんね。
毎回ご迷惑をおかけすることになりますし・・・
そう言えば以前ご対応いただいたのはhypCommon でphp5.2.17での不具合があり
ご対応いただいたんでした。今頃思い出しました。

今後共よろしくお願い申し上げます。

Re: xelfinderのエラーメッセージについて 
投稿者: nao-pon | 投稿日時: 2016/2/28 16:55 | 親コメント: #21574
nao-pon

無事に直ってよかったです。今回のは PHP のマニュアルと違った挙動を示すので PHP のバグかも知れません。

いづれにしても、PHP 5.2, 5.3 はメンテナンスが終了していますので出来る限り新しいバージョンにしたほうがよいと思いますが、モジュールによっては動かなくなることもあり難しいところです。

先にも触れましたが、もし EUC-JP 環境で PHP 5.4 以降にするなら、先に UTF-8 へ移行してからのほうがトラブルが少なくて済みます。

投票(0)

新しいものから | 古いものから | RSS feed
 
To Top